html, body {
    background-color: var(--color-background-light-xllll);
}

/* SHIMMER */
.shimmer.shimmer-001 {
    height: 2rem;
}
.shimmer.shimmer-002 {
    height: 2.5rem;
}
.shimmer.shimmer-003 {
    height: 1.1rem;
}
.shimmer.shimmer-004 {
    height: 1.1rem;
}

.content-box-wrapper {
    display: none;
}

/* MODALS */
.modal {
    display: none;
}

/* CHECKOUT WRAPPER */
.checkout-wrapper {
    width: 35%;
}

/* CHECKOUT PROGRESS BAR - Mobile */
.checkout-wrapper .checkout-progress-bar-wrapper-mobile {
    display: none;
    justify-content: center;
    align-items: center;
}

.checkout-wrapper .checkout-progress-bar-wrapper-mobile .item-circle {
    width: 2.5rem;
    height: 2.5rem;
    border-style: solid;
    border-width: 0.15rem;
    border-color: var(--color-border);
    background-color: transparent;
    color: var(--color-border);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.checkout-wrapper .checkout-progress-bar-wrapper-mobile .item-circle.active {
    background-color: var(--color-secondary);
    border-color: var(--color-primary);
    color: var(--color-primary);
}
.checkout-wrapper .checkout-progress-bar-wrapper-mobile .item-circle .icon {
    font-size: 1.6rem;
    color: var(--color-primary);
}

.checkout-wrapper .checkout-progress-bar-wrapper-mobile .item-line {
    width: 3rem;
    height: 0.15rem;
    background-color: var(--color-border);
}
.checkout-wrapper .checkout-progress-bar-wrapper-mobile .item-line.active {
    background-color: var(--color-primary);
}

/* CHECKOUT PROGRESS BAR - Desktop */
.checkout-wrapper .checkout-progress-bar-wrapper-desktop {
    display: flex;
    justify-content: center;
    align-items: center;
}

.checkout-wrapper .checkout-progress-bar-wrapper-desktop .item {
    width: calc(100% - 2rem);
    padding: 1rem;
    border-bottom-style: solid;
    border-bottom-width: 0.3rem;
    border-bottom-color: var(--color-border);
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    cursor: pointer;
    transition: 0.2s;
}

.checkout-wrapper .checkout-progress-bar-wrapper-desktop .item .icon {
    width: 1.5rem;
    height: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-style: solid;
    border-width: 0.15rem;
    border-radius: 50%;
    border-color: var(--color-primary);
    font-weight: 600;
    color: var(--color-primary);
}


/* COMPLETED */
.checkout-wrapper .checkout-progress-bar-wrapper-desktop .item.completed {
    border-bottom-color: var(--color-primary);
}
.checkout-wrapper .checkout-progress-bar-wrapper-desktop .item.completed .icon {
    background-color: var(--color-primary);
    color: var(--color-text-secondary);
    border-color: var(--color-primary);
}

/* ACTIVE */
.checkout-wrapper .checkout-progress-bar-wrapper-desktop .item.active {
    background-color: var(--color-secondary);
    border-bottom-color: var(--color-primary);
    border-top-left-radius: 0.7rem;
    border-top-right-radius: 0.7rem;
}
.checkout-wrapper .checkout-progress-bar-wrapper-desktop .item.active .icon {
    background-color: var(--color-primary);
    color: var(--color-text-secondary);
    border-color: var(--color-primary);
}

@media screen and (min-width: 0px) and (max-width: 1024px) {

    /* Mobile */
    .checkout-wrapper .checkout-progress-bar-wrapper-mobile {
        display: flex;
    }

    /* Desktop */
    .checkout-wrapper .checkout-progress-bar-wrapper-desktop {
        display: none;
    }
    
}

/* Checkout Modal Wrapper */

/* Item Bag */
.item-bag-wrapper {
    display: flex;
    flex-direction: column;
}
.item-bag-wrapper .item {
    display: flex;
    justify-content: center;
    align-items: start;
    gap: 1rem;
}
.item-bag-wrapper .item .thumbnail {
    width: 3rem;
    height: 3rem;
    border-style: solid;
    border-width: 0.1rem;
    border-color: var(--color-border);
    border-radius: 0.5rem;
}
.item-bag-wrapper .item .thumbnail img {
    object-fit: contain;
    object-position: center;
    width: 100%;
    height: 100%;
    border-radius: 1rem;
}

.no-items-found-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.no-items-found-wrapper .icon {
    font-size: 2rem;
    margin-bottom: 0.5rem;
    color: var(--color-primary);
}
.no-items-found-wrapper .no-items-found-text {
    color: var(--color-text-tertiary);
}

.item-bag-wrapper .item .content {
    width: calc(100% - 3rem - 1rem);
}
.item-bag-wrapper .item .content .title {
    font-weight: 500;
    display: block;
    margin-bottom: 1rem;
}
.item-bag-wrapper .item .content .subtitle {
    display: block;
    font-weight: 600;
    font-size: 0.8rem;
    color: var(--color-text-tertiary);
}
.item-bag-wrapper .item .content .qty-wrapper {
    width: 30%;
    margin-bottom: 1rem;
}
.item-bag-wrapper .item .content .action-link {
    display: table;
    font-size: 0.8rem;
}

.item-bag-wrapper .item .content-sm {
}
.item-bag-wrapper .item .content-sm .sale-price {
    text-align: start;
    display: block;
}
.item-bag-wrapper .item .content-sm .mrp {
    text-align: start;
    display: block;
    font-size: 0.8rem;
    margin-top: 0.25rem;
    text-decoration: line-through;
    color: var(--color-text-tertiary);
}

/* ORDER SUMMARY */
.order-summary-wrapper {
    display: flex;
    flex-direction: column;
    gap: 0.7rem;
}
.order-summary-wrapper .order-summary-seperator {
    width: 100%;
    height: 0.1rem;
    background-color: var(--color-border);
}
.order-summary-wrapper .order-summary-item-1x {
    display: flex;
    justify-content: space-between;
    font-size: 0.9rem;
}
.order-summary-wrapper .order-summary-item-2x {
    display: flex;
    justify-content: space-between;
    font-size: 1.1rem;
}

/* ADDRESS */
.address-radio-box .name {
    display: block;
    margin-bottom: 0.25rem;
    font-weight: 500;
}
.address-radio-box .address {
    display: block;
    margin-bottom: 0.25rem;
}
.address-radio-box .phone-number {
    display: block;
    margin-bottom: 0.25rem;
    font-weight: 500;
}

.add-address-wrapper {
    
}

/* Is this purchase for a company */
.billing-company-details-wrapper {
    display: none;
}
/* Billing Address same as Shipping Address */
.shipping-address-wrapper {
    display: none;
}

/* PAYMENT */
.payment-radio-box .checkmark-payment-trust-build-text {
    display: flex;
    justify-content: start;
    align-items: center;
    font-size: 0.8rem;
    margin-top: 0.35rem;
    gap: 0.2rem;
}
.payment-radio-box .checkmark-payment-trust-build-text .green-icon {
    color: var(--color-success);
}
.payment-radio-box .checkmark-payment-trust-build-text .payment-build-cashfree-text {
    color: var(--color-text-tertiary);
}

/* CHECKOUT FOOTER TEXT */
.checkout-footer-text {
    display: block;
    font-weight: 400;
    font-size: 0.7rem;
    color: var(--color-text-tertiary);
    line-height: 1.5rem;
}
.checkout-footer-text img {
    height: 1rem;
    margin-left: 0.3rem;
    margin-right: 0.3rem;
}

/* ORDER SUCCESS */
.order-success-wrapper {
    display: none;
}
.order-success-wrapper .modal-content .order-top-success-wrapper {
}
.order-success-wrapper .modal-content .order-top-success-wrapper .icon {
    font-size: 2.5rem;
    color: var(--color-success);
    text-align: center;
}
.order-success-wrapper .modal-content .order-top-success-wrapper .text {
    font-size: 1.5rem;
    font-weight: 600;
    text-align: center;
    display: block;
}
.order-success-wrapper .modal-content .order-top-success-wrapper .subtitle {
    font-size: 0.95rem;
    font-weight: 400;
    text-align: center;
    display: block;
    color: var(--color-text-tertiary);
    margin-top: 0.25rem;
}
.order-success-wrapper .modal-content .order-top-success-wrapper .pill-tag-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 0.5rem;
}
.order-success-wrapper .modal-content .order-top-success-wrapper .pill-tag {
    padding: 0.5rem;
    background-color: var(--color-background-light-xlll);
    color: var(--color-text-tertiary);
    font-size: 0.8rem;
    border-radius: var(--radius-lg);
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.2rem;
}
.order-success-wrapper .modal-content .order-top-success-wrapper .pill-tag .icon {
    font-size: 0.8rem;
}

@media screen and (min-width: 0px) and (max-width: 1024px) {

    .checkout-wrapper {
        width: 90%;
    }

}